require vmmTbl

epicsEnvSet("IPADDR", "192.168.50.2")
epicsEnvSet("IPPORT", "65535")
epicsEnvSet("P", "LAB-B02:")
epicsEnvSet("R", "NDet-RMM-001:")

drvAsynIPPortConfigure("L0", "$(IPADDR):$(IPPORT) UDP", 0, 0, 1)

#asynSetTraceMask(   L0, -1, 0x9)
#asynSetTraceIOMask( L0, -1, 0x4)
#asynSetTraceInfoMask ( L0, -1, 0x9)

RMMConfig("RMM", "$(IPADDR)", "$(IPPORT)", "$(E3_CMD_TOP)/config_file/lab_testbed.json")

#VMMTblConfig("RMM portName", "VMMPortName", ring, number_hybrids)
VMMTblConfig("RMM", "VMM", 0, 2)

dbLoadRecords("${asyn_DIR}/db/asynRecord.db","P=asyn:,R=Test,PORT=L0,ADDR=0,IMAX=0,OMAX=0")
dbLoadRecords($(rmm_DB)/rmm.db, "P=$(P), R=$(R), PORT=RMM, ADDR=0, TIMEOUT=1")
dbLoadRecords($(rmm_DB)/rmm_sensors.db, "P=$(P), R=$(R), PORT=RMM, ADDR=0, TIMEOUT=1")
dbLoadRecords($(rmm_DB)/ring.db, "P=$(P), R=$(R), ADDR=0, PORT=RMM, ADDR=0, TIMEOUT=1")

dbLoadRecords("$(rmm_DB)/rmm_packets.template", "P=$(P), R=$(R), PORT=RMM, RING=0, NODE=0, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(rmm_DB)/topology.template", "P=$(P), R=$(R), PORT=RMM, RING=0, NODE=0, ADDR=0, TIMEOUT=1")

                                                  # R = NDet-VMM-<RingNumber#2>:
dbLoadRecords("$(vmmTbl_DB)/vmm_tbl.db", "P=$(P), R=NDet-VMM-00:, PORT=VMM, RING=0, NODE=0, ADDR=0, TIMEOUT=1")
                                                  # 'R' = NDet-VMM-<RingNumber#2><HybNumber#1>:
dbLoadRecords("$(vmmTbl_DB)/hybrid.db", "P=$(P), R=NDet-VMMHYB-00, PORT=VMM, HYB=0, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(vmmTbl_DB)/hybrid.db", "P=$(P), R=NDet-VMMHYB-00, PORT=VMM, HYB=1, ADDR=0, TIMEOUT=1")

                                                   # 'R' = NDet-VMM-<RingNumber#2><HybNumber#1><VmmNumber#1>
dbLoadRecords("$(vmmTbl_DB)/channels.db", "P=$(P), R=NDet-VMM3A-00, HYB=0, VMM=0, C=:, PORT=VMM, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(vmmTbl_DB)/channels.db", "P=$(P), R=NDet-VMM3A-00, HYB=0, VMM=1, C=:, PORT=VMM, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(vmmTbl_DB)/channels.db", "P=$(P), R=NDet-VMM3A-00, HYB=1, VMM=0, C=:, PORT=VMM, ADDR=0, TIMEOUT=1")
dbLoadRecords("$(vmmTbl_DB)/channels.db", "P=$(P), R=NDet-VMM3A-00, HYB=1, VMM=1, C=:, PORT=VMM, ADDR=0, TIMEOUT=1")

iocInit()

